Add source transaction
curl --request POST \
--url https://api.closebot.com/agency/billing/transactions/source/{sourceId} \
--header 'Content-Type: application/json' \
--header 'X-CB-KEY: <api-key>' \
--data '
{
"amount": "<string>",
"description": "<string>"
}
'import requests
url = "https://api.closebot.com/agency/billing/transactions/source/{sourceId}"
payload = {
"amount": "<string>",
"description": "<string>"
}
headers = {
"X-CB-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-CB-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: '<string>', description: '<string>'})
};
fetch('https://api.closebot.com/agency/billing/transactions/source/{sourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"status": "<string>",
"description": "<string>",
"amount": 123,
"currency": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"receiptUrl": "<string>",
"usage": {
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"responses": 123,
"libraryBytes": 123,
"users": 123,
"responseCost": 123,
"libraryCost": 123,
"userCost": 123
}
}Billing
Add source transaction
POST
/
agency
/
billing
/
transactions
/
source
/
{sourceId}
Add source transaction
Authorizations
CloseBot API Key Authorization
Path Parameters
The source ID.
⌘I

